| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::IIODataManager Class Reference

`#include <IIODataManager.h>`

Inheritance diagram for Gaudi::IIODataManager:

[legend]
Collaboration diagram for Gaudi::IIODataManager:

[legend]
List of all members.

## Detailed Description

M.Frank

Version:
  1.0

Date:
  20/10/2007

Definition at line 91 of file IIODataManager.h.

## Public Types
enum | FileType { UNKNOWN = 1, PFN, LFN, FID }
typedef IDataConnection | Connection
| Connection type definition.
typedef std::vector< Connection * > | Connections
typedef Connection::IoType | IoType
## Public Member Functions
virtual StatusCode | connectRead (bool keep_open, IDataConnection *con)=0
| Open data stream in read mode.
virtual StatusCode | connectWrite (IDataConnection *con, IoType mode=Connection::CREATE, const std::string &doctype="UNKNOWN")=0
| Open data stream in write mode.
virtual StatusCode | disconnect (IDataConnection *con)=0
| Release data stream.
virtual Connection * | connection (const std::string &dsn) const =0
| Retrieve known connection.
virtual Connections | connections (const IInterface *owner) const =0
| Get connection by owner instance (0=ALL).
virtual StatusCode | read (IDataConnection *con, void *const data, size_t len)=0
| Read raw byte buffer from input stream.
virtual StatusCode | write (IDataConnection *con, const void *data, int len)=0
| Write raw byte buffer to output stream.
virtual long long int | seek (IDataConnection *con, long long int where, int origin)=0
| Seek on the file described by ioDesc. Arguments as in seek().
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Typedef Documentation

typedef IDataConnection Gaudi::IIODataManager::Connection

Connection type definition.

Definition at line 94 of file IIODataManager.h.

typedef std::vector<Connection*> Gaudi::IIODataManager::Connections

Definition at line 95 of file IIODataManager.h.

typedef Connection::IoType Gaudi::IIODataManager::IoType

Definition at line 96 of file IIODataManager.h.

## Member Enumeration Documentation

enum Gaudi::IIODataManager::FileType

Enumerator:

  UNKNOWN |
  PFN |
  LFN |
  FID |

Definition at line 97 of file IIODataManager.h.

    00097 { UNKNOWN=1, PFN, LFN, FID };

## Member Function Documentation

static const InterfaceID& Gaudi::IIODataManager::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 100 of file IIODataManager.h.

References Gaudi::IID_IIODataManager, and interfaceID().

Referenced by interfaceID().

    00100 { return IID_IIODataManager; }

virtual StatusCode Gaudi::IIODataManager::connectRead | ( | bool | keep_open,
|  | IDataConnection * | con |
| ) |  |  | `[pure virtual]`

Open data stream in read mode.

virtual StatusCode Gaudi::IIODataManager::connectWrite | ( | IDataConnection * | con,
|  | IoType | mode = `Connection::CREATE`,
|  | const std::string & | doctype = `"UNKNOWN"` |
| ) |  |  | `[pure virtual]`

Open data stream in write mode.

virtual StatusCode Gaudi::IIODataManager::disconnect | ( | IDataConnection * | con | ) | `[pure virtual]`

Release data stream.

virtual Connection* Gaudi::IIODataManager::connection | ( | const std::string & | dsn | ) | const`[pure virtual]`

Retrieve known connection.

virtual Connections Gaudi::IIODataManager::connections | ( | const IInterface * | owner | ) | const`[pure virtual]`

Get connection by owner instance (0=ALL).

virtual StatusCode Gaudi::IIODataManager::read | ( | IDataConnection * | con,
|  | void *const | data,
|  | size_t | len |
| ) |  |  | `[pure virtual]`

Read raw byte buffer from input stream.

virtual StatusCode Gaudi::IIODataManager::write | ( | IDataConnection * | con,
|  | const void * | data,
|  | int | len |
| ) |  |  | `[pure virtual]`

Write raw byte buffer to output stream.

virtual long long int Gaudi::IIODataManager::seek | ( | IDataConnection * | con,
|  | long long int | where,
|  | int | origin |
| ) |  |  | `[pure virtual]`

Seek on the file described by ioDesc. Arguments as in seek().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiUtils/v2r0/GaudiUtils/IIODataManager.h